> ## Documentation Index
> Fetch the complete documentation index at: https://api-documentation.kare-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Units

> API changes for the Units module.

<Update label="2026-09-07">
  **7 API change(s) - ⚠️ includes 7 breaking change(s)**

  **`GET /rs/units/v1/`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereTags`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`

  **`GET /rs/units/v1/tree`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`

  **`GET /rs/units/v1/{id}`**

  * for the `query` request parameter `whereITIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
  * for the `query` request parameter `whereUnitIds`, the type/format of property `items/` was specialized from `string`/\`\` to `string`/`uuid`
</Update>

<Update label="2026-09-01">
  **2 API change(s)**

  **`GET /rs/units/v1/`**

  * added the enum value `created-by` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/createdBy` to the response with the `200` status
</Update>

<Update label="2026-08-27">
  **4 API change(s)**

  **`GET /rs/units/v1/`**

  * added the enum value `qrcode` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/qrcode` to the response with the `200` status

  **`GET /rs/units/v1/{id}`**

  * added the enum value `qrcode` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `qrcode` to the response with the `200` status
</Update>

<Update label="2026-08-26">
  **1 API change(s)**

  **`GET /rs/units/v1/`**

  * added the new optional `query` request parameter `countOnly`
</Update>

<Update label="2026-08-04">
  **5 API change(s)**

  **`GET /rs/units/v1/`**

  * added the new optional `query` request parameter `whereImResponsible`
  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/responsibles` to the response with the `200` status

  **`GET /rs/units/v1/{id}`**

  * added the enum value `responsibles` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `responsibles` to the response with the `200` status
</Update>

<Update label="2026-07-24">
  **4 API change(s)**

  **`GET /rs/units/v1/`**

  * added the enum value `position` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `data/items/position` to the response with the `200` status

  **`GET /rs/units/v1/{id}`**

  * added the enum value `position` to the property `items/` of the `query` request parameter `extend`
  * added the optional property `position` to the response with the `200` status
</Update>

<Update label="2026-07-20">
  **4 API change(s) — ⚠️ includes 2 breaking change(s)**

  **`GET /rs/units/v1/`**

  * added the new `unit` enum value to the `data/items/tags/items/type/type` response property for the response status `200`
  * removed the `site` enum value from the `data/items/tags/items/type/type` response property for the response status `200`

  **`GET /rs/units/v1/{id}`**

  * added the new `unit` enum value to the `tags/items/type/type` response property for the response status `200`
  * removed the `site` enum value from the `tags/items/type/type` response property for the response status `200`
</Update>

<Update label="2026-07-17">
  **7 API change(s) — ⚠️ includes 1 breaking change(s)**

  **`GET /rs/units/v1/`**

  * deleted the `query` request parameter `whereIds`
  * added the new optional `query` request parameter `whereITIds`
  * added the new optional `query` request parameter `whereUnitIds`

  **`GET /rs/units/v1/tree`**

  * added the new optional `query` request parameter `whereITIds`
  * added the new optional `query` request parameter `whereUnitIds`

  **`GET /rs/units/v1/{id}`**

  * added the new optional `query` request parameter `whereITIds`
  * added the new optional `query` request parameter `whereUnitIds`
</Update>

<Update label="2026-07-15">
  **6 API change(s)**

  **`GET /rs/units/v1/`**

  * endpoint added

  **`PATCH /rs/units/v1/children/{id}`**

  * endpoint added

  **`PATCH /rs/units/v1/parents/{id}`**

  * endpoint added

  **`GET /rs/units/v1/tree`**

  * endpoint added

  **`GET /rs/units/v1/{id}`**

  * endpoint added

  **`POST /rs/units/v1/{id}/logo`**

  * endpoint added
</Update>
